Get the patient scan pay details
Retrieve the all the details of the user/patient based on the date ranges.
Header
AUTHORIZATION will be provided by the gateway session API after the successful verification of client ID and Secret [ Example: Bearer ]
REQUEST-ID unique UUID[ Example: 18235d89-cb13-479d-ad71-7a57d5f669a8 ]
TIMESTAMP actual time of the requested was initiated[ Example: 2022-10-06T10:10:00.587Z ]
X-AUTH-TOKEN JWT Authentication token which was issued by ABDM after successful validation of user[ Example: Bearer ]
X-CM-ID consent manager ID [ Example: sbx ]
status [ Example: SUCCESS, CANCELED, PENDING, FAIL, REFUND_INITIATED, REFUND_SUCCESS,ALL ]
limit [ Example: 10]
startDate [ Example: 2024-07-13T07:30:10.186Z]
endDate [ Example: 2025-02-18T08:30:50.189Z]
offset [ Example: 0] The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Payment status It describes the no. of records. start date of the records. start date of the records. retrieval of records starts from the very first record in the dataset. Unique UUID for track the end to end request transaction Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds. Suffix of the consent manager to which the request was intended JWT Authentication token which was issued by ABDM after successful validation of username and password OK Bad Request. The request could not be processed because it was malformed or failed validation - a missing mandatory field, a value in the wrong format, or a header that did not match the body. The error code and message, if any occurred. ABDM-1006 - Bad Request, invalid request Body. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Short description of the failure. Unauthorized 900901 - Invalid Credentials. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Internal Server Error The error code and message, if any occurred. ABDM-2500 - Unknown error occurred. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Service Unavailable ABDM-2500 - Service Unavailable. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.Authorizations
Authorizationbearer tokenRequiredBearer prefix.Query parameters
statusstringRequiredlimitintegerRequiredstartDatestringRequiredendDatestringRequiredoffsetintegerRequiredHeaders
REQUEST-IDstringRequiredTIMESTAMPstringRequiredX-CM-IDstringRequiredX-AUTH-TOKENstringRequiredResponses
200400errorobjecterror.codestringRequirederror.messagestringRequired401codestringmessagestringdescriptionstring500errorobjecterror.codestringRequirederror.messagestringRequired503codestringRequiredmessagestringRequired